#
# spec file for package aaa_base
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%bcond_with     aaa_base_malloc_debug

Name:           aaa_base
Version:        12.1
Release:        99
License:        GPLv2+
Group:          System/Fhs
Url:            http://gitorious.org/opensuse/aaa_base
Provides:       bin bootutls etc skeleng skelger 
Provides:       aaa_skel = %{version}-%{release}
Obsoletes:      aaa_skel < %{version}
Requires:       filesystem distribution-release /bin/mktemp /usr/bin/find /usr/bin/tput /usr/bin/xargs mingetty /bin/login cpio psmisc
Recommends:     cron logrotate netcfg udev net-tools aaa_base-extras
PreReq:         /usr/bin/sed /usr/bin/grep /bin/mv /bin/cat /bin/ls /bin/date /usr/bin/cmp /bin/fillup /sbin/insserv
AutoReqProv:    on
Summary:        SUSE Linux Base Package
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# run make package in checkout out git repo to recreate
Source:         aaa_base.tar.bz2
Source99:       aaa_base-rpmlintrc

%description
This package installs several important configuration files. Central
scripts like SuSEconfig are also in this package.

%package extras
License:        GPLv2+
Summary:        SUSE Linux Base Package (recommended part)
Group:          System/Fhs
Requires:       %{name} = %{version}
Provides:       aaa_base:/etc/DIR_COLORS

%description extras
The parts of aaa_base that should be installed by default but are not
strictly required to run a system. (Shell aliases, bash completions
and convenience hacks).

%prep
%setup -n aaa_base

%build
make CFLAGS="$RPM_OPT_FLAGS"
if test -d patches/$RPM_ARCH; then
	pushd files
	for file in ../patches/$RPM_ARCH/*; do
		patch -p0 --input=$file
	done
	find -name "*.orig" | xargs -r rm
	popd
fi

%install
#
make DESTDIR=$RPM_BUILD_ROOT install
#
# make sure it does not creep in again
test -d $RPM_BUILD_ROOT/root/.gnupg && exit 1
#
# for the release
%if !%{with aaa_base_malloc_debug}
rm $RPM_BUILD_ROOT/etc/profile.d/malloc-debug.*
%endif
#
# mark these as ghost
for i in passwd group shadow gshadow ; do
  touch $RPM_BUILD_ROOT/var/adm/fillup-templates/$i.aaa_base
done
#
# loop module auto loading bnc#661715
mkdir -p $RPM_BUILD_ROOT/lib/udev/devices

%pre -f aaa_base.pre

%post -f aaa_base.post

%postun
%insserv_cleanup

%triggerpostun -- aaa_base
if test -f /root/.gnupg/secring.gpg.aaa_save -a ! -f /root/.gnupg/secring.gpg ; then
   mv /root/.gnupg/secring.gpg.aaa_save /root/.gnupg/secring.gpg
fi
rm -f /root/.gnupg/secring.gpg.aaa_save

%files
%defattr(-,root,root)
%doc COPYING
%config(noreplace) /etc/inittab
%config /etc/bash.bashrc
%config /etc/csh.cshrc
%config /etc/csh.login
%config /etc/inputrc
%config /etc/mailcap
%config /etc/mime.types
%config /etc/profile
%config /etc/profile.d/alljava.csh
%config /etc/profile.d/alljava.sh
%config /etc/profile.d/csh.ssh
%config /etc/profile.d/csh.utf8
%config /etc/profile.d/lang.csh
%config /etc/profile.d/lang.sh
%if %{with aaa_base_malloc_debug}
%config /etc/profile.d/malloc-debug.sh
%config /etc/profile.d/malloc-debug.csh
%endif
%config /etc/profile.d/profile.csh
%config /etc/profile.d/profile.sh
%config /etc/profile.d/sh.ssh
%config /etc/profile.d/sh.utf8
%config /etc/profile.d/xdg-environment.csh
%config /etc/profile.d/xdg-environment.sh
%config /etc/rc.splash
%config /etc/rc.status
%config /etc/shells
%config /etc/ttytype
%config /etc/init.d/boot
%config /etc/init.d/halt
%config /etc/init.d/powerfail
%config /etc/init.d/random
%config /etc/init.d/single
%ghost /var/adm/fillup-templates/passwd.aaa_base
%ghost /var/adm/fillup-templates/group.aaa_base
%ghost /var/adm/fillup-templates/gshadow.aaa_base
%ghost /var/adm/fillup-templates/shadow.aaa_base
# don't forget to also change aaa_base.post, boot.cleanup
# and /etc/permissions!
%ghost %attr(0644,root,root) %verify(not md5 size mtime) /var/log/lastlog
%ghost %attr(0600,root,root) %verify(not md5 size mtime) /var/log/faillog
%ghost %attr(0664,root,utmp) %verify(not md5 size mtime) /var/log/wtmp
%ghost %attr(0600,root,root) %verify(not md5 size mtime) /var/log/btmp
%ghost %attr(0664,root,utmp) %verify(not md5 size mtime) /var/run/utmp
/etc/cron.daily/suse.de-clean-tmp
/etc/hushlogins
/etc/init.d/boot.cleanup
/etc/init.d/boot.clock
/etc/init.d/boot.cgroup
/etc/init.d/boot.klog
/etc/init.d/boot.ldconfig
/etc/init.d/boot.localfs
/etc/init.d/boot.localnet
/etc/init.d/boot.rootfsck
/etc/init.d/boot.swap
/etc/init.d/rc
/etc/init.d/reboot
/etc/tmpdirs.d/01_aaa_base
%dir /lib/aaa_base
/lib/aaa_base/convert_sysctl*
/lib/YaST/SuSEconfig.functions
/sbin/chkconfig
/sbin/get_kernel_version
/sbin/refresh_initrd
/sbin/service
/sbin/smart_agetty
/sbin/SuSEconfig
/usr/bin/ChangeSymlinks
/usr/bin/filesize
/usr/bin/mkinfodir
/usr/bin/old
/usr/bin/rpmlocate
/usr/bin/safe-rm
/usr/bin/safe-rmdir
/usr/bin/setJava
/usr/lib/restricted/bin/hostname
/usr/sbin/Check
/usr/sbin/rcpowerfail
/usr/sbin/rcrandom
/usr/sbin/rcsingle
/usr/sbin/sysconf_addword
/usr/share/man/man1/smart_agetty.1*
/usr/share/man/man5/defaultdomain.5*
/usr/share/man/man8/chkconfig.8*
/usr/share/man/man8/safe-rm.8*
/usr/share/man/man8/safe-rmdir.8*
/usr/share/man/man8/service.8*
/usr/share/man/man8/SuSEconfig.8*
/var/adm/fillup-templates/sysconfig.backup
/var/adm/fillup-templates/sysconfig.boot
/var/adm/fillup-templates/sysconfig.clock
/var/adm/fillup-templates/sysconfig.cron
/var/adm/fillup-templates/sysconfig.language
/var/adm/fillup-templates/sysconfig.news
/var/adm/fillup-templates/sysconfig.proxy
/var/adm/fillup-templates/sysconfig.shutdown
/var/adm/fillup-templates/sysconfig.suseconfig
/var/adm/fillup-templates/sysconfig.windowmanager
%dir /lib/udev
%dir /lib/udev/devices
%ghost %attr(660,root,disk) %dev(b,7,0) /lib/udev/devices/loop0
%ghost %attr(660,root,disk) %dev(b,7,1) /lib/udev/devices/loop1
%ghost %attr(660,root,disk) %dev(b,7,2) /lib/udev/devices/loop2
%ghost %attr(660,root,disk) %dev(b,7,3) /lib/udev/devices/loop3
%ghost %attr(660,root,disk) %dev(b,7,4) /lib/udev/devices/loop4
%ghost %attr(660,root,disk) %dev(b,7,5) /lib/udev/devices/loop5
%ghost %attr(660,root,disk) %dev(b,7,6) /lib/udev/devices/loop6
%ghost %attr(660,root,disk) %dev(b,7,7) /lib/udev/devices/loop7

%files extras
%defattr(-,root,root)
%config(noreplace) /etc/DIR_COLORS
/etc/cron.daily/suse.de-backup-rc.config
/etc/cron.daily/suse.de-backup-rpmdb
/etc/cron.daily/suse.de-check-battery
/etc/cron.daily/suse.de-cron-local
/etc/skel/.emacs
/etc/skel/.inputrc
/etc/java/README
%config /etc/profile.d/complete.bash
%config /etc/profile.d/alias.ash
/etc/profile.d/alias.bash
/etc/profile.d/alias.tcsh
/etc/profile.d/ls.tcsh
/etc/profile.d/ls.bash
/etc/init.d/skeleton
/etc/init.d/skeleton.compat
%config /sbin/quick_halt
/sbin/quick_poweroff
/sbin/quick_reboot
/usr/sbin/setDefaultJava
/usr/share/man/man7/init.d.7*
/usr/share/man/man5/route.conf.5*
/usr/share/man/man8/resolv+.8*
/usr/share/man/man8/quick_halt.8*

%changelog
